<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI GSS Assist</title>
    <filename>main</filename>
    <docanchor file="main">globus_gsi_gss_assist</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__gss__assist__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_GSS_ASSIST_MODULE</name>
      <anchorfile>group__globus__gsi__gss__assist__activation.html</anchorfile>
      <anchor>g181c8a0c607d7c440944f81709b2b132</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist</name>
    <title>Utility Functions</title>
    <filename>group__globus__gsi__gss__assist.html</filename>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g98c38af4c7f7936875f0471d995da05d</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, int *token_status, gss_cred_id_t *delegated_cred_handle, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ge4906f12363ebc66adbb4f1c411e193d</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp, gss_cred_id_t *delegated_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g7d94481e87dd428e195c01b4c1daf73b</anchor>
      <arglist>(OM_uint32 *minor_status, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred_ext</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g24ea3a3fb395374c88198e2ddd635bfa</anchor>
      <arglist>(OM_uint32 *minor_status, char *desired_name_char, OM_uint32 time_req, const gss_OID_set desired_mechs, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle, gss_OID_set *actual_mechs, OM_uint32 *time_rec)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g77fcacf5a016283376dc84eccf025b6f</anchor>
      <arglist>(FILE *fp, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status_str</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g502f04eb7b262d8d1e8b993c1bb231ca</anchor>
      <arglist>(char **str, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_import_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g4828fded9a42f041c75cc27659b12829</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gb4b114ef4e3ea7bd1fa7e83a9ad54bea</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g7ccc6b5a4827dd308b9214f0dce72a06</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_will_handle_restrictions</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g214a69051583a8caa1e88d7fe604ad9d</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_get_unwrap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g63380e08135afba1d2c183285a1db868</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char **data, size_t *length, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_wrap_send</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gcbaab4a8c81bc0a0a33d475d77581ce4</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GlobusGssAssistFreeDNArray</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gf6ede4ac9d81453ee8f5c633ccaee47f</anchor>
      <arglist>(dn_a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>NI_MAXHOST</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gf4fdfcb7042f2ba6e8fb30e55309d65e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_gridmap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g185907ea6b5e29233cb9e570c1117088</anchor>
      <arglist>(char *globusidp, char **useridp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_userok</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g72acd78a51549a983e6caf571bbc7a28</anchor>
      <arglist>(char *globusid, char *userid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_map_local_user</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g7621b81bb61ce184cb6ba252d939445a</anchor>
      <arglist>(char *local_user, char **globusidp)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gss_assist_lookup_all_globusid</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g92cc4a51ba271fa8e73eaaa3db19ddd6</anchor>
      <arglist>(char *username, char **dns[], int *dn_count)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gss_assist_map_and_authorize</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gfff179123a14ee76d73d695fd2b70e50</anchor>
      <arglist>(gss_ctx_id_t context, char *service, char *desired_identity, char *identity_buffer, unsigned int identity_buffer_length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_constants</name>
    <title>GSI GSS Assist Constants</title>
    <filename>group__globus__gsi__gss__assist__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_gss_assist_error_t</name>
      <anchor>g51c047c8896a4100a4f442654eecf86e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86ed2f441e2554411ec5d4e6c1838756459</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86eac482aa514e02f438da7d97e29d62644</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86eead441f23555db827b947f6fb401fb2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86efd2f86dc331c6f8827e411f607eb1c74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86ea3c57ca58698de115be820230d1d7a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86ef93e708070616396f5ee0119f6130e33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e4b149e7d3fc8ac79b1b6c5706144292c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e006796f7426ba84134024b0e72b860cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e9b2968c69b7ae8201402f4cb1107f5ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e855032764faaa850d1063e8178dfc61c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e70e02985130dae00d7a50bf750e50fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e28996141f4106b5d6d58c5304a7e7e49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e3fc15271584573a2888daaa6ae4de7ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e04b058159c8c6e700cdd2f07c57add6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86ef7ffd25b9cb8478732508b70998d0949</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e6158c56f118e0bad4281b56408cd3552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e2f4a0d2a4fa92c0135d25aba1e0354c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86e4e44cbe1de68634099a2528a2b9fe549</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME</name>
      <anchor>gg51c047c8896a4100a4f442654eecf86ee06634443b70fcd09e21a49dc55fc115</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_tokens</name>
    <title>Security Token Transport</title>
    <filename>group__globus__gsi__gss__assist__tokens.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g78c292efea490dd81567991527eeb323</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g915da4758471a8599a80c754a686e97b</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_without_length</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g54b87efda16f1f942293e7fa8eac36f6</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_ex</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g2ea6b98b57460facaf1fac706fa124f1</anchor>
      <arglist>(void *exp, void *buf, size_t size)</arglist>
    </member>
  </compound>
</tagfile>
